Permalink
Browse files

some fixes... lot more to go

  • Loading branch information...
1 parent ce84946 commit c5bc57c6cb0255ee4a7d3eab5d87526e3549dce3 @nofxx nofxx committed May 25, 2012
View
@@ -4,8 +4,10 @@ source 'http://rubygems.org'
gemspec
gem 'rgeo'
+gem 'mongoid', :git => 'git://github.com/mongoid/mongoid'
group :development do
gem 'rspec'
- gem 'fuubar'
+ gem 'pry'
+# gem 'fuubar'
end
@@ -1,14 +1,14 @@
# encoding: utf-8
-module Mongoid #:nodoc:
- module Criterion #:nodoc:
- module Inclusion
- def near(attributes = {})
- update_selector(attributes, "$near")
- end
+# module Mongoid #:nodoc:
+# module Criterion #:nodoc:
+# module Inclusion
+# def near(attributes = {})
+# update_selector(attributes, "$near")
+# end
- def near_sphere(attributes = {})
- update_selector(attributes, "$near")
- end
- end
- end
-end
+# def near_sphere(attributes = {})
+# update_selector(attributes, "$near")
+# end
+# end
+# end
+# end
@@ -55,7 +55,7 @@ module ClassMethods #:nodoc:
def spatial_index name, options = {}
self.spatial_fields_indexed << name
if Mongoid::VERSION =~ /3.0/
- index name => '2d', :options => options
+ index {name => '2d'}, options
else
index [[name, '2d']], options
end
@@ -1,5 +1,5 @@
module Mongoid
module Geospatial
- VERSION = "1.0.0"
+ VERSION = "1.0.1"
end
end
@@ -21,7 +21,6 @@ Gem::Specification.new do |gem|
gem.add_dependency('activesupport', ["~> 3.0"])
gem.add_development_dependency('yard', ["~>0.6.0"])
gem.add_development_dependency('rspec', ['~>2.3'])
- gem.add_development_dependency('rcov', ['>= 0'])
gem.add_development_dependency('mocha', ['>= 0'])
gem.add_development_dependency('will_paginate', ['>= 0'])
gem.add_development_dependency('kaminari', ['>= 0'])

0 comments on commit c5bc57c

Please sign in to comment.